# POC Airflow Cluster
#
# Original Docker-Compose file sourced from:
# https://github.com/bitnami/bitnami-docker-airflow
#
# N.B. The AIRFLOW_FERNET_KEY environment variable should *never* be exposed on a real production cluster, or anything connected to the open internet for that matter

version: '2'

services:
  postgresql:
    image: 'docker.io/bitnami/postgresql:10-debian-10'
    volumes:
      - 'postgresql_data:/bitnami/postgresql'
    environment:
      - POSTGRESQL_DATABASE=bitnami_airflow
      - POSTGRESQL_USERNAME=bn_airflow
      - POSTGRESQL_PASSWORD=bitnami1
      - ALLOW_EMPTY_PASSWORD=yes
  redis:
    image: docker.io/bitnami/redis:6.0-debian-10
    volumes:
      - 'redis_data:/bitnami'
    environment:
      - ALLOW_EMPTY_PASSWORD=yes
  airflow-scheduler:
    image: docker.io/bitnami/airflow-scheduler:1-debian-10
    environment:
      - AIRFLOW_DATABASE_NAME=bitnami_airflow
      - AIRFLOW_DATABASE_USERNAME=bn_airflow
      - AIRFLOW_DATABASE_PASSWORD=bitnami1
      - AIRFLOW_EXECUTOR=CeleryExecutor
      - AIRFLOW_FERNET_KEY=eGwdxq_NuDn7sBKZD0mIJZafxqabH4hcY319OxnZpoo=
      - AIRFLOW_LOAD_EXAMPLES=no
    volumes:
      - airflow_scheduler_data:/bitnami
      - ./dags:/opt/bitnami/airflow/dags
  airflow-worker:
    image: docker.io/bitnami/airflow-worker:1-debian-10
    environment:
      - AIRFLOW_DATABASE_NAME=bitnami_airflow
      - AIRFLOW_DATABASE_USERNAME=bn_airflow
      - AIRFLOW_DATABASE_PASSWORD=bitnami1
      - AIRFLOW_EXECUTOR=CeleryExecutor
      - AIRFLOW_FERNET_KEY=eGwdxq_NuDn7sBKZD0mIJZafxqabH4hcY319OxnZpoo=
      - AIRFLOW_LOAD_EXAMPLES=no
    volumes:
      - airflow_worker_data:/bitnami
      - ./dags:/opt/bitnami/airflow/dags
  airflow:
    image: docker.io/bitnami/airflow:1-debian-10
    environment:
      - AIRFLOW_DATABASE_NAME=bitnami_airflow
      - AIRFLOW_DATABASE_USERNAME=bn_airflow
      - AIRFLOW_DATABASE_PASSWORD=bitnami1
      - AIRFLOW_EXECUTOR=CeleryExecutor
      - AIRFLOW_FERNET_KEY=eGwdxq_NuDn7sBKZD0mIJZafxqabH4hcY319OxnZpoo=
      - AIRFLOW_LOAD_EXAMPLES=no
    ports:
      - '8080:8080'
    volumes:
      - airflow_data:/bitnami
      - ./dags:/opt/bitnami/airflow/dags
volumes:
  airflow_scheduler_data:
    driver: local
  airflow_worker_data:
    driver: local
  airflow_data:
    driver: local
  postgresql_data:
    driver: local
  redis_data:
    driver: local
